# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
 {
   "key":"WinEdt 11",
   "name":"WinEdt 11",
   "version":"11.2",
   "install_date":"",
   "install_location":"C:\\Program Files\\WinEdt Team\\WinEdt 11",
   "uninstall_string":"C:\\Program Files\\WinEdt Team\\WinEdt 11\\Uninstall.exe",
   "publisher":"WinEdt Team",
   "system_component":0,
   "win64":true
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob("winedt*.exe")[0]
    version = control.get_software_version()
    # Extracting the major version
    major_version = version.split('.')[0]
    
    # Constructing the dynamic key
    key = f"WinEdt {major_version}"

    install_exe_if_needed(bin_name, silentflags="/S", key=key, min_version=control.get_software_version(),)
